package about_us

import (
	"erpims/application/domain/oss"
	"git.sxidc.com/go-framework/baize/framework/core/application"
)

type Info struct {
	application.InfoIDField
	CompanyTel        string           `json:"companyTel" sqlresult:"column:company_tel;"`
	OnlineShoppingTel string           `json:"onlineShoppingTel" sqlresult:"column:online_shopping_tel;"`
	AfterSaleTel      string           `json:"afterSaleTel" sqlresult:"column:after_sale_tel;"`
	CompanyAddress    string           `json:"companyAddress" sqlresult:"column:company_address;"`
	PostCode          string           `json:"postCode" sqlresult:"column:post_code;"`
	Fax               string           `json:"fax" sqlresult:"column:fax;"`
	Email             string           `json:"email" sqlresult:"column:email;"`
	WxMpQrCode        []oss.FileObject `json:"wxMpQrCode" sqlresult:"column:-;"`
	WxMpQrCodeStr     string           `json:"wxMpQrCodeStr" sqlresult:"column:wx_mp_qr_code;"`
	Copyright         string           `json:"copyright" sqlresult:"column:copyright;"`
	RecordNumber      string           `json:"recordNumber" sqlresult:"column:record_number;"`
	PubRecordNumber   string           `json:"pubRecordNumber" sqlresult:"column:pub_record_number;"`
	ContactQrCodeStr  string           `json:"contactQrCodeStr" sqlresult:"column:contact_qr_code;"`
	ContactQrCode     []oss.FileObject `json:"contactQrCode" sqlresult:"column:-;"`
	Content           string           `json:"content" sqlresult:"column:content;"`
	application.InfoUserIDFields
	application.InfoTimeFields
}
