package service

import (
	"git.sxidc.com/go-framework/baize/convenient/domain/operate_log"
	"git.sxidc.com/go-framework/baize/framework/core/application"
)

var operateLogService = &OperateLogService{}

type OperateLogService struct{}

func (svc *OperateLogService) Init(appInstance *application.App) error {
	svc.prefixRoot(appInstance)
	return nil
}

func (svc *OperateLogService) Destroy() error {
	return nil
}

func (svc *OperateLogService) prefixRoot(appInstance *application.App) {
	operate_log.Bind(appInstance, &operate_log.Simple{
		Schema: dbSchema,
	})
}
