package service

import (
	"git.sxidc.com/go-framework/baize/framework/core/application"
)

const (
	dbSchema = "erpims"
)

type Service interface {
	Init(appInstance *application.App) error
	Destroy() error
}

var RegisteredServices = []Service{
	/* HAC: REGISTER SERVICE */
	versionService,
	sqlExecutorService,
	configurationService,
	operateLogService,
	bannerService,
	aboutUsService,
	commonUseWebsiteService,
	announcementPolicyInfoService,
	advertisingService,
	/* HAC: END REGISTER SERVICE */
}
