package service

import (
	"git.sxidc.com/go-framework/baize/convenient/domain/sql_executor"
	"git.sxidc.com/go-framework/baize/framework/core/application"
)

var sqlExecutorService = &SqlExecutorService{}

type SqlExecutorService struct{}

func (svc *SqlExecutorService) Init(appInstance *application.App) error {
	svc.prefixRoot(appInstance)
	return nil
}

func (svc *SqlExecutorService) Destroy() error {
	return nil
}

func (svc *SqlExecutorService) prefixRoot(appInstance *application.App) {
	sql_executor.Bind(appInstance, &sql_executor.Simple{
		Schema: dbSchema,
	})
}
