package advertising

import (
	"erpims/application/domain/oss"
	"git.sxidc.com/go-framework/baize/framework/core/application"
)

type Info struct {
	application.InfoIDField
	Title     string           `json:"title" sqlresult:"column:title;"`
	PageUrl   string           `json:"pageUrl" sqlresult:"column:page_url;"`
	PicUrlStr string           `json:"picUrlStr" sqlresult:"column:pic_url;"`
	PicUrl    []oss.FileObject `json:"picUrl" sqlresult:"column:-;"`
	Status    int              `json:"status" sqlresult:"column:status;"`
	application.InfoUserIDFields
	application.InfoTimeFields
}
