package announcement_policy_info

import (
	"erpims/application/domain/oss"
	"git.sxidc.com/go-framework/baize/framework/core/application"
)

type Info struct {
	application.InfoIDField
	Title           string           `json:"title" sqlresult:"column:title;"`
	FirstLevelType  int              `json:"firstLevelType" sqlresult:"column:first_level_type;"`
	SecondLevelType int              `json:"secondLevelType" sqlresult:"column:second_level_type;"`
	ReleaseDate     string           `json:"releaseDate" sqlresult:"column:release_date;"`
	TitleImgUrlStr  string           `json:"titleImgUrlStr" sqlresult:"column:title_img_url;"`
	TitleImgUrl     []oss.FileObject `json:"titleImgUrl" sqlresult:"column:-;"`
	Content         string           `json:"content" sqlresult:"column:content;"`
	application.InfoUserIDFields
	application.InfoTimeFields
}
