package common_use_website

import (
	"erpims/application/domain/oss"
	"git.sxidc.com/go-framework/baize/framework/core/application"
)

type Info struct {
	application.InfoIDField
	Title        string           `json:"title" sqlresult:"column:title;"`
	IconUrlStr   string           `json:"iconUrlStr" sqlresult:"column:icon_url;"`
	IconUrl      []oss.FileObject `json:"iconUrl" sqlresult:"column:-;"`
	AccessUrl    string           `json:"accessUrl" sqlresult:"column:access_url;"`
	Sort         int              `json:"sort" sqlresult:"column:sort;"`
	ExternalLink int              `json:"externalLink" sqlresult:"column:external_link;"`
	application.InfoUserIDFields
	application.InfoTimeFields
}
