package service

import (
	"git.sxidc.com/go-framework/baize/convenient/domain/configuration"
	"git.sxidc.com/go-framework/baize/framework/core/application"
)

var configurationService = &ConfigurationService{}

type ConfigurationService struct{}

func (svc *ConfigurationService) Init(appInstance *application.App) error {
	svc.prefixRoot(appInstance)
	return nil
}

func (svc *ConfigurationService) Destroy() error {
	return nil
}

func (svc *ConfigurationService) prefixRoot(appInstance *application.App) {
	configuration.Bind(appInstance, &configuration.Simple{
		Schema: dbSchema,
	})
}
