param (
    [Parameter(Mandatory=$true)]
    [string]$DatabaseName
)

Set-Location  $(Split-Path $MyInvocation.MyCommand.Path -Parent)

foreach ($file in $(Get-ChildItem -Path ".\data_containers")) {
    if ($file.GetType() -eq [System.IO.FileInfo]) {
        datactl.exe offline database delete_dc $DatabaseName -f $file.FullName
    }
}
