#!/bin/bash
cd "$(dirname "$0")" || exit 1

if [ "$#" -ne 1 ]; then
    echo "Usage: $0 database_name"
    exit 1
fi

for file in ./data_containers/*; do
	if [ -f "$file" ]; then
		datactl offline database delete_dc "$1" -f "$file"
	fi
done
